## ros-eloquent-swri-route-util 3.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(swri_route_util)

set(CMAKE_CXX_STANDARD 14)

find_package(ament_cmake REQUIRED)
find_package(marti_common_msgs REQUIRED)
find_package(marti_nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(swri_geometry_util REQUIRED)
find_package(swri_math_util REQUIRED)
find_package(swri_roscpp REQUIRED)
find_package(swri_transform_util REQUIRED)
find_package(visualization_msgs REQUIRED)

### Build Library ###
add_library(${PROJECT_NAME} 
  src/route.cpp
  src/route_point.cpp
  src/route_speeds.cpp
  src/util.cpp
  src/visualization.cpp
)
target_include_directories(${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
set_property(TARGET ${PROJECT_NAME} PROPERTY POSITION_INDEPENDENT_CODE ON)
ament_target_dependencies(${PROJECT_NAME}
  ament_cmake
  marti_common_msgs
  marti_nav_msgs
  rclcpp
  swri_geometry_util
  swri_math_util
  swri_roscpp
  swri_transform_util
  visualization_msgs
)

### Install Libraries and Executables ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

### Install Header Files ###
install(DIRECTORY include/
  DESTINATION include
)

ament_export_dependencies(ament_cmake)
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-eloquent-swri-route-util (3.3.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 24 Nov 2020 06:00:00 -0000

ros-eloquent-swri-route-util (3.3.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-eloquent-swri-route-util (3.3.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-eloquent-swri-route-util (3.2.1-1bionic) bionic; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-eloquent-swri-route-util (3.2.0-1bionic) bionic; urgency=high

  * Add overload of generateObstacleData for tracked objects (Dashing) (#579 <https://github.com/swri-robotics/marti_common/issues/579>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-eloquent-swri-route-util (3.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 30 Mar 2020 05:00:00 -0000

ros-eloquent-swri-route-util (3.0.5-1bionic) bionic; urgency=high

  * Fix linking bugs (#569 <https://github.com/swri-robotics/marti_common/issues/569>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 10 Mar 2020 05:00:00 -0000

ros-eloquent-swri-route-util (3.0.4-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-eloquent-swri-route-util (3.0.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-eloquent-swri-route-util (3.0.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-eloquent-swri-route-util (3.0.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-eloquent-swri-route-util (3.0.0-1bionic) bionic; urgency=high

  * ROS2 Dashing conversion (#549 <https://github.com/pjreed/marti_common/issues/549>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-swri-route-util (2.10.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-eloquent-swri-route-util (2.9.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-eloquent-swri-route-util (2.8.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-eloquent-swri-route-util (2.7.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-eloquent-swri-route-util (2.7.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-eloquent-swri-route-util (2.7.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-eloquent-swri-route-util (2.7.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-eloquent-swri-route-util (2.6.0-1bionic) bionic; urgency=high

  * Remove incorrect translation of object geometry (#527 <https://github.com/swri-robotics/marti_common/issues/527>)
  * Contributors: agyoungs

 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-eloquent-swri-route-util (2.5.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-eloquent-swri-route-util (2.4.0-1bionic) bionic; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-eloquent-swri-route-util (2.3.0-1bionic) bionic; urgency=high

  * Fill in route id of route positions when possible. (#517 <https://github.com/swri-robotics/marti_common/issues/517>)
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-eloquent-swri-route-util (2.2.1-1bionic) bionic; urgency=high

  * Catch and fix NaNs in the fillOrientations function (#513 <https://github.com/swri-robotics/marti_common/issues/513>)
  * Contributors: kriskozak

 -- P. J. Reed <preed@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-eloquent-swri-route-util (2.2.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-eloquent-swri-route-util (2.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-eloquent-swri-route-util (2.0.0-1bionic) bionic; urgency=high

  * Accept '1' or 'true' for stop points. (#489 <https://github.com/swri-robotics/marti_common/issues/489>)
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-eloquent-swri-route-util (1.2.0-1bionic) bionic; urgency=high

  * Add support for vehicle_width_override property on route (#485 <https://github.com/swri-robotics/marti_common/issues/485>)
  * Add bounds checking to extractSubroute. (#486 <https://github.com/swri-robotics/marti_common/issues/486>)
  * Contributors: Marc Alban, Matthew Bries

 -- P. J. Reed <preed@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-eloquent-swri-route-util (1.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-eloquent-swri-route-util (1.0.0-1bionic) bionic; urgency=high

  * Add route speed functions (#466 <https://github.com/swri-robotics/marti_common/issues/466>)
    * Add visualization function for swri_route_util.
    * Add code to calculate max speeds based on curvature to swri_route_util.
    * Add speed/obstacle functionality to swri_route_util.
  * Add extractSubroute function.
  * Contributors: Elliot Johnson, elliotjo

 -- P. J. Reed <preed@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-eloquent-swri-route-util (0.3.0-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-eloquent-swri-route-util
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-eloquent-ament-cmake, ros-eloquent-marti-common-msgs, ros-eloquent-marti-nav-msgs, ros-eloquent-rclcpp, ros-eloquent-swri-geometry-util, ros-eloquent-swri-math-util, ros-eloquent-swri-roscpp, ros-eloquent-swri-transform-util, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-swri-route-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-eloquent-marti-common-msgs, ros-eloquent-marti-nav-msgs, ros-eloquent-rclcpp, ros-eloquent-swri-geometry-util, ros-eloquent-swri-math-util, ros-eloquent-swri-roscpp, ros-eloquent-swri-transform-util, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Description: This library provides functionality to simplify working with the navigation messages defined in marti_nav_msgs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-swri-route-util//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
